

/* Icon 1 */

#menu-button {
  box-sizing: border-box;
  top: 0;
  left: 0;
  width: 1em;
  height: 1em;
  position: relative;
/*   margin: 50px auto; */
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: transform .5s ease-in-out;
  -moz-transition: transform .5s ease-in-out;
  -o-transition: transform .5s ease-in-out;
  transition: transform .5s ease-in-out;
  cursor: pointer;
  user-select: none;
  pointer-events: none;
  
/*   background-color: darkgreen; */
}

#menu-button span {
  box-sizing: border-box;
  display: block;
  position: absolute;
  height: 0.3rem;
  width: 100%;
/*   background: rgba(255,255,255,0.87); */
  border-radius: 1em;
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}

#menu-button span:nth-child(1) {
  top: 0.3rem;
}

#menu-button span:nth-child(2) {
  top: 1.1rem;
}

#menu-button span:nth-child(3) {
  bottom: 0.3rem;
}

#menu-button.open span:nth-child(1) {
  top: 1.1rem;
  -webkit-transform: rotate(-135deg);
  -moz-transform: rotate(-135deg);
  -o-transform: rotate(-135deg);
  transform: rotate(-135deg);
}

#menu-button.open span:nth-child(2) {
  opacity: 0;
  left: 1em;
}

#menu-button.open span:nth-child(3) {
  top: 1.1rem;
  -webkit-transform: rotate(135deg);
  -moz-transform: rotate(135deg);
  -o-transform: rotate(135deg);
  transform: rotate(135deg);
}

